Package org.drinkless.tdlib

# Class TdApi.ProxyTypeHttp

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ProxyType
org.drinkless.tdlib.TdApi.ProxyTypeHttp

Enclosing class:
  `TdApi`

public static class TdApi.ProxyTypeHttp extends TdApi.ProxyType
A HTTP transparent proxy server.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ProxyType

  `TdApi.ProxyType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `httpOnly`
  Pass true if the proxy supports only HTTP requests and doesn't support transparent TCP connections via HTTP CONNECT method.
  `String`
  `password`
  Password for logging in; may be empty.
  `String`
  `username`
  Username for logging in; may be empty.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyTypeHttp()`
  A HTTP transparent proxy server.
  `ProxyTypeHttp(String username, String password, boolean httpOnly)`
  A HTTP transparent proxy server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### username

    public String username
    Username for logging in; may be empty.

  - ### password

    public String password
    Password for logging in; may be empty.

  - ### httpOnly

    public boolean httpOnly
    Pass true if the proxy supports only HTTP requests and doesn't support transparent TCP connections via HTTP CONNECT method.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProxyTypeHttp

    public ProxyTypeHttp()
    A HTTP transparent proxy server.

  - ### ProxyTypeHttp

    public ProxyTypeHttp(String username, String password, boolean httpOnly)
    A HTTP transparent proxy server.
    Parameters:
      `username` - Username for logging in; may be empty.
      `password` - Password for logging in; may be empty.
      `httpOnly` - Pass true if the proxy supports only HTTP requests and doesn't support transparent TCP connections via HTTP CONNECT method.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ProxyType`
    Returns:
      this.CONSTRUCTOR